Retrieve Invoice By Id
curl --request GET \
--url https://api.example.com/{version}/invoices/retrieve/{id} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"invoice_number": "<string>",
"counterparty_id": 123,
"currency": "<string>",
"total_amount": 123,
"status": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"as_payment_link": true,
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"invoice_items": [
{
"id": 123,
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"counterparty": {
"id": 123,
"owner_party_type": "<string>",
"owner_party_id": 123,
"relationship_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"party": {
"id": 123,
"fullname": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"country_code": "<string>"
}
}
}invoices
Retrieve Invoice By Id
GET
/
{version}
/
invoices
/
retrieve
/
{id}
Retrieve Invoice By Id
curl --request GET \
--url https://api.example.com/{version}/invoices/retrieve/{id} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"invoice_number": "<string>",
"counterparty_id": 123,
"currency": "<string>",
"total_amount": 123,
"status": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"as_payment_link": true,
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"invoice_items": [
{
"id": 123,
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"counterparty": {
"id": 123,
"owner_party_type": "<string>",
"owner_party_id": 123,
"relationship_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"party": {
"id": 123,
"fullname": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"country_code": "<string>"
}
}
}Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
InvoiceDetailResponse
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Amount
Show child attributes
Show child attributes
CounterPartyWithPartyResponse
Show child attributes
Show child attributes
Last modified on June 23, 2026
Was this page helpful?
⌘I
